.rui-list-item {
  display: flex;
  max-width: 100%;
  align-items: stretch;
  padding: var(--spacer-tiny) var(--spacer-default);
  border-radius: var(--border-radius);
  gap: var(--spacer-small);

  &__actions {
    margin: var(--spacer-tiny) 0;

    .rui-toolbar {
      flex: none;

      .rui-button {
        padding: var(--spacer-small);
      }
    }
  }

  &__content {
    display: flex;
    overflow: hidden;
    flex-grow: 1;
    align-items: center;
    padding: var(--spacer-small);
    border-radius: var(--border-radius);
    cursor: pointer;
    gap: var(--spacer-default);

    &:hover {
      background-color: var(--button-background--hover);
    }

    .rui-icon,
    img {
      max-width: 20px;
      max-height: 20px;
      flex: none;
    }
  }

  &__title {
    display: flex;
    overflow: hidden;
    width: 100%;
    flex-direction: column;
    color: var(--foreground-color);
    line-height: 1em;

    &:hover,
    &:active,
    &:visited,
    &.active,
    &.router-link-exact-active {
      color: var(--foreground-color);
    }

    > span {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  &--static {
    .rui-list-item__content {
      cursor: default;

      &:hover { background-color: unset; }
    }
  }

  &--inline {
    padding-right: 0;
    padding-left: 0;

    .rui-list-item__title {
      flex-direction: row;
      align-items: center;
      gap: var(--spacer-small);
    }
  }

  &--active {
    background-color: var(--button-background--active);

    .rui-list-item__content:hover {
      background-color: transparent;
    }
  }

  &--has-sub-caption {

    // Make the title bold
    .rui-list-item__title {
      > span:first-child {
        font-weight: var(--font-weight-medium);
      }
    }
  }
}
